Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: I can't install some programs from official openSUSE repository

  1. #1
    corgi NNTP User

    Question I can't install some programs from official openSUSE repository

    https://software.opensuse.org/find

    I only install software designed for the version 13.2 what I'm using.



    I haven't been able to install ClamAV (seems to install, but can't find the program), Wine (I would install from the repo, but don't know to right file) and Dolphin emulator (4.0+7161) among others. I usually get this error when the installation process should start, but I've seen this also (trying again doesn't help):



    I have been able to install some pieces of software like KeepassX and Thunderbird. I have updated my system with Package Updater.
    This is a fresh install, I formatted my hard drive after Windows with the openSUSE installer.

    Can someone test if you can install/update some of the programs mentioned above? Can the issue be in the repository?
    I can't compile from the source.

  2. #2

    Default AW: I can't install some programs from official openSUSE repository

    Quote Originally Posted by corgi View Post
    I haven't been able to install ClamAV (seems to install, but can't find the program),
    Where do you not find it?
    ClamAV is a command line program, you won't find it in the application menu.

    Wine (I would install from the repo, but don't know to right file)
    Wine is included in the distribution, no need for an extra repo.




    Remove that "Ports" repo.
    It doesn't contain any packages for your system, only for different CPUs like ARM or PPC.

    Can someone test if you can install/update some of the programs mentioned above?
    Of course. I do have Wine installed without problems.

    Can the issue be in the repository?
    Yes, the one mentioned in your error message is not intended for you.
    Other than that, your description is a bit too vague to say what exactly is the problem.

    But anyway, please post your repo list for further comments:
    Code:
    zypper lr -d
    I can't compile from the source.
    You don't have to.

  3. #3
    corgi NNTP User

    Default Re: AW: I can't install some programs from official openSUSE repository

    Quote Originally Posted by wolfi323 View Post
    Wine is included in the distribution, no need for an extra repo.
    I don't understand. After posting this thread I installed Wine running this command:

    HTML Code:
    zypper in wine
    Quote Originally Posted by wolfi323 View Post
    Remove that "Ports" repo.
    I'll try that, can you provide step-to-step instructions?

    Quote Originally Posted by wolfi323 View Post
    But anyway, please post your repo list for further comments
    HTML Code:
    #  | Alias                     | Name                               | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                            | Service
    ---+---------------------------+------------------------------------+---------+-----------+---------+----------+--------+--------------------------------------------------------------------------------+--------
      1 | Packman Repository        | Packman Repository                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.2                        |        
      2 | SuSE                      | SuSE                               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.videolan.org/SuSE/13.2/                                        |        
      3 | X11:Utilities             | X11:Utilities                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/X11:/Utilities/openSUSE_13.2/        |        
      4 | home:Lazy_Kent            | home:Lazy_Kent                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/Lazy_Kent/openSUSE_13.2/       |        
      5 | libdvdcss                 | libdvdcss                          | Yes     | ( p) Yes  | Yes     |   99     | NONE   | http://opensuse-guide.org/repo/12.1/                                           |        
      6 | libdvdcss repository      | libdvdcss repository               | Yes     | ( p) Yes  | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/13.2/                                           |        
      7 | multimedia:apps           | multimedia:apps                    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/multimedia:/apps/openSUSE_13.2/      |        
      8 | multimedia:libs           | multimedia:libs                    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/multimedia:/libs/openSUSE_13.2/      |        
      9 | nVidia Graphics Drivers   | nVidia Graphics Drivers            | Yes     | ( p) Yes  | Yes     |   99     | rpm-md | http://download.nvidia.com/opensuse/13.2/                                      |        
     10 | network                   | network                            | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/network/openSUSE_13.2/               |        
     11 | openSUSE-13.2-0           | openSUSE-13.2-0                    | Yes     | ( p) Yes  | No      |   99     | yast2  | cd:///?devices=/dev/disk/by-id/usb-TSSTcorp_CDDVDW_SE-208GB_S1806YAG500081-0:0 |        
     12 | repo-debug                | openSUSE-13.2-Debug                | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/13.2/repo/oss/                 |        
     13 | repo-debug-update         | openSUSE-13.2-Update-Debug         | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/13.2/                                |        
     14 | repo-debug-update-non-oss | openSUSE-13.2-Update-Debug-Non-Oss | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/13.2-non-oss/                        |        
     15 | repo-non-oss              | openSUSE-13.2-Non-Oss              | Yes     | ( p) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.2/repo/non-oss/                   |        
     16 | repo-oss                  | openSUSE-13.2-Oss                  | Yes     | ( p) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.2/repo/oss/                       |        
     17 | repo-source               | openSUSE-13.2-Source               | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/source/distribution/13.2/repo/oss/                |        
     18 | repo-update               | openSUSE-13.2-Update               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.2/                                      |        
     19 | repo-update-non-oss       | openSUSE-13.2-Update-Non-Oss       | Yes     | ( p) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.2-non-oss/

  4. #4

    Default Re: I can't install some programs from official openSUSE repository

    Quote Originally Posted by corgi View Post
    I don't understand. After posting this thread I installed Wine running this command:

    HTML Code:
    zypper in wine
    So it should be installed. Or did you get an error message?

    I'll try that, can you provide step-to-step instructions?
    It isn't in your list. So you probably clicked on some 1-click install that wanted to add it and failed.

    Some note about your repos:
    Remove #5, that is for openSUSE 12.1, and you have the right one too as well (#6).
    Remove the VLC repo (#2), it is incompatible with Packman, and everything is available from Packman anyway.

    You can remove repos in YaST->Software Repositories, or something like "zypper rr 5" (you can also specify the name instead of the number, e.g. "zypper rr SuSE").

  5. #5
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: I can't install some programs from official openSUSE repository

    On 2015-09-19 11:16, corgi wrote:
    >> But anyway, please post your repo list for further comments

    >
    > # | Alias | Name
    > | Enabled | GPG Check | Refresh | Priority | Type | URI
    > | Service


    Please, next time, use code tags for pasting all that. Use the '#'
    button in the forum editor - for command outputs and listings


    --
    Cheers / Saludos,

    Carlos E. R.

    (from 13.1 x86_64 "Bottle" (Minas Tirith))

  6. #6
    corgi NNTP User

    Default Re: I can't install some programs from official openSUSE repository

    There are definitely errors with some packages - Rubyripper GUI can't be installed and I only managed to install a two-year-old 4.0.2 version of the Dolphin emulator (fairly recent 4.0+7161 gives an error).

  7. #7
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,201
    Blog Entries
    15

    Default Re: I can't install some programs from official openSUSE repository

    Hi
    Just to clarify your thread title, the only 'official' repositories are the oss, non-oss and update repositories (and their respect debug/source repos if present). You have home OBS repos, development repos and third party repos added which can create an additional set of issues.... In your case I replied in your thread about rubyripper gui.
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  8. #8
    corgi NNTP User

    Question Re: I can't install some programs from official openSUSE repository

    To be precise, this always happens when I try to pick a 64-bit version.
    Does "1 Click Install" automatically pick a 64-bit version when available? I don't want to use 32-bit version of programs demanding like VirtualBox.

  9. #9
    corgi NNTP User

    Question Re: I can't install some programs from official openSUSE repository

    I downloaded openSUSE 13.2 AMD64 version of VirtualBox from Oracle's homepage and got the same "can't install file" error, so this isn't related to openSUSE's repo.
    Should the RPM package work? Did I do something wrong?
    --
    CPU
    Intel Core i7-4770K @ 3.50GHz
    RAM
    16,00Gt Dual-Channel DDR3
    Motherboard
    ASUSTeK COMPUTER INC. Z87-PRO
    Graphics
    Nvidia GeForce GTX 780 Ti


  10. #10

    Default AW: Re: I can't install some programs from official openSUSE repository

    Quote Originally Posted by corgi View Post
    I downloaded openSUSE 13.2 AMD64 version of VirtualBox from Oracle's homepage and got the same "can't install file" error, so this isn't related to openSUSE's repo.
    Should the RPM package work? Did I do something wrong?
    That's because the package management cannot verify the package signature (because the signing key is missing), and PackageKit doesn't like that and aborts with an error message.

    Add the repo and install it with YaST or zypper.

    Or use "zypper in xxx.rpm" or "rpm -i xxx.rpm" to install the downloaded .rpm file instead of just double-clicking on it.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •